Crypto++ 8.1 Free C++ class library of cryptographic schemes

Public Member Functions | Public Attributes | List of all members
FilterPutSpaceHelper Struct Reference

Create a working space in a BufferedTransformation. More...

Inheritance diagram for FilterPutSpaceHelper:

## Public Member Functions
byte * | HelpCreatePutSpace (BufferedTransformation &target, const std::string &channel, size_t minSize, size_t desiredSize, size_t &bufferSize)
| Create a working space in a BufferedTransformation. More...
byte * | HelpCreatePutSpace (BufferedTransformation &target, const std::string &channel, size_t minSize)
| Create a working space in a BufferedTransformation. More...
byte * | HelpCreatePutSpace (BufferedTransformation &target, const std::string &channel, size_t minSize, size_t bufferSize)
| Create a working space in a BufferedTransformation. More...

## Public Attributes
SecByteBlock | m_tempSpace
| Temporay working space.

## Detailed Description

Create a working space in a BufferedTransformation.

Definition at line 158 of file filters.h.

## Member Function Documentation

## ◆ HelpCreatePutSpace() [1/3]

byte* FilterPutSpaceHelper::HelpCreatePutSpace | ( | BufferedTransformation & | target,
|  | const std::string & | channel,
|  | size_t | minSize,
|  | size_t | desiredSize,
|  | size_t & | bufferSize
| ) |  |
| inline

Create a working space in a BufferedTransformation.

Parameters

  target | BufferedTransformation for the working space
  channel | channel for the working space
  minSize | minimum size of the allocation, in bytes
  desiredSize | preferred size of the allocation, in bytes
  bufferSize | actual size of the allocation, in bytes

Precondition
  `desiredSize >= minSize` and `bufferSize >= minSize`.

`bufferSize` is an IN and OUT parameter. If HelpCreatePutSpace() returns a non-NULL value, then bufferSize is valid and provides the size of the working space created for the caller.

Internally, HelpCreatePutSpace() calls ChannelCreatePutSpace() using `desiredSize`. If the target returns `desiredSize` with a size less than `minSize` (i.e., the request could not be fulfilled), then an internal SecByteBlock called `m_tempSpace` is resized and used for the caller.

Definition at line 175 of file filters.h.

## ◆ HelpCreatePutSpace() [2/3]

byte* FilterPutSpaceHelper::HelpCreatePutSpace | ( | BufferedTransformation & | target,
|  | const std::string & | channel,
|  | size_t | minSize
| ) |  |
| inline

Create a working space in a BufferedTransformation.

Parameters

  target | the BufferedTransformation for the working space
  channel | channel for the working space
  minSize | minimum size of the allocation, in bytes

Internally, the overload calls HelpCreatePutSpace(BufferedTransformation &target, const std::string &channel, size_t minSize, size_t desiredSize, size_t &bufferSize) using `minSize` for missing arguments.

Definition at line 198 of file filters.h.

## ◆ HelpCreatePutSpace() [3/3]

byte* FilterPutSpaceHelper::HelpCreatePutSpace | ( | BufferedTransformation & | target,
|  | const std::string & | channel,
|  | size_t | minSize,
|  | size_t | bufferSize
| ) |  |
| inline

Create a working space in a BufferedTransformation.

Parameters

  target | the BufferedTransformation for the working space
  channel | channel for the working space
  minSize | minimum size of the allocation, in bytes
  bufferSize | the actual size of the allocation, in bytes

Internally, the overload calls HelpCreatePutSpace(BufferedTransformation &target, const std::string &channel, size_t minSize, size_t desiredSize, size_t &bufferSize) using `minSize` for missing arguments.

Definition at line 207 of file filters.h.

The documentation for this struct was generated from the following file:

- filters.h